%define origname TwistedConch

Name: python-module-twisted-conch
Version: 10.1.0
Release: alt1
%setup_python_module twisted-conch
Summary:        Twisted SSHv2 implementation

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedConch
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Conch/10.1/%origname-%version.tar.bz2 
Source1:	README.ALT-ru_RU.UTF-8

BuildRequires:  python-module-twisted-core >= 10.1.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-Crypto

####add_python_req_skip Tkinter tkFileDialog tkFont tkMessageBox 

%description
Twisted is an event-based framework for internet applications.

Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to
allow everything from TCP forwarding to generic filesystem access. Since conch
is written in Python, it interfaces well with other Python projects, such as
Imagination. Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors. A new
implementation of Twisted's Manhole application is also included, featuring
server-side input history and interactive syntax coloring.

%package gui
Summary: GUI for Twisted Conch
Group: Development/Python
Requires: python-module-twisted-conch = %version-%release

%description gui
GUI for Twisted Conch

%package tests
Summary: Tests for Twisted Conch
Group: Development/Python
Requires: %name = %version-%release

%description tests
Tests for Twisted Conch

%prep
%setup -n %origname-%version

find doc -name \*.py -print0 | xargs -0 chmod a-x


%build
%python_build

cp %SOURCE1 README.ALT-ru_RU.UTF-8
%install
%python_install --install-purelib %python_sitelibdir

# Man pages
mkdir -p -- %buildroot%_man1dir/
cp -a -- doc/man/*.1 %buildroot%_man1dir/
rm -rf -- doc/man

%files
%doc README LICENSE NEWS doc/*
%doc README.ALT-ru_RU.UTF-8
%_man1dir/*
%_bindir/cftp
%_bindir/ckeygen
%_bindir/conch
%_bindir/tkconch
%python_sitelibdir/*.egg-info
%python_sitelibdir/twisted/conch/
%python_sitelibdir/twisted/plugins/twisted_conch.py*
%exclude %python_sitelibdir/twisted/conch/ui
%exclude %python_sitelibdir/twisted/conch/scripts/tkconch.py
%exclude %python_sitelibdir/twisted/conch/test

%files gui
%python_sitelibdir/twisted/conch/ui
%python_sitelibdir/twisted/conch/scripts/tkconch.py

%files tests
%python_sitelibdir/twisted/conch/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Extracted tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Tue Sep 01 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- build new version
- gui transferred into separated package

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.8.0-alt2.1.1
- Rebuilt with python-2.5.

* Sun Dec 09 2007 Sergey Alembekov <rt@altlinux.ru> 0.8.0-alt2.1
- Fix build on x86_64 (thanks to Nikolay A. Fetisov aka naf@)
- Spec cleanup

* Wed Nov 07 2007 Sergey Alembekov <rt@altlinux.ru> 0.8.0-alt2
-  skip requires fot Tkinter
- add README.ALT-ru_RU.UTF-8

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.8.0-alt1
- Build for new upstream version
